> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://docs.ada.cx/reference/integrations/update-platform-integration-installation/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.ada.cx/_mcp/server. # Update installation status PATCH https://example.ada.support/api/v2/platform-integrations/{platform_integration_id}/installations/{installation_id} Content-Type: application/json Update status after installation. An installation can be `complete` or `incomplete`. Reference: https://docs.ada.cx/reference/integrations/update-platform-integration-installation ## Authentication - `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer `, where token is your auth token. ## Request ### Path parameters - `platform_integration_id` (string, required) — The ID of the platform integration - `installation_id` (string, required) — The ID of the installation to update ### Body (application/json) This endpoint expects a PlatformIntegrationInstallationUpdateRequest. - `status` (enum, optional) — The new status of the installation - Allowed values: `complete`, `incomplete` ## Response ### 200 Installation updated - `id` (string, optional) — The unique identifier for the integration installation - `platform_integration_id` (string, optional) — The unique identifier for the integration - `created` (string, optional) — The date and time the installation was created - `updated` (string, optional) — The date and time the installation was last updated - `configuration` (PlatformIntegrationInstallationConfiguration, optional) — The configuration settings for the integration - `status` (string, optional) — The current state of the integration installation (incomplete, complete) ## Errors ### 400 Bad Request Error Invalid request - `errors` (list of ErrorsErrorsItems, required) — A list of errors ### 401 Unauthorized Error Unauthorized - `errors` (list of ErrorsErrorsItems, required) — A list of errors ### 404 Not Found Error Not Found - `errors` (list of ErrorsErrorsItems, required) — A list of errors ### 429 Too Many Requests Error Too Many Requests - `errors` (list of ErrorsErrorsItems, required) — A list of errors ### 500 Internal Server Error Internal Server Error - `errors` (list of ErrorsErrorsItems, required) — A list of errors ## Types ### PlatformIntegrationInstallationConfiguration The configuration settings for the integration ### ErrorsErrorsItems - `type` (string, required) — The error type - `message` (string, required) — The error message - `details` (string, optional, nullable) — Extra information about the error ## Examples **Request** ```json {} ``` **Response** ```json { "id": "5df263b7db5a7e6ea03fae9b", "platform_integration_id": "5df263b7db5a7e6ea03fae9b", "created": "2020-09-20T00:00:00+00:00", "updated": "2020-09-20T00:00:00+00:00", "configuration": { "credentials": { "helpCenterUrl": "https://example.com", "consumerKey": "123", "consumerSecret": "456" } }, "status": "complete" } ``` **SDK Code** ```python import requests url = "https://example.ada.support/api/v2/platform-integrations/platform_integration_id/installations/installation_id" payload = {} headers = { "Authorization": "Bearer ", "Content-Type": "application/json" } response = requests.patch(url, json=payload, headers=headers) print(response.json()) ``` ```javascript const url = 'https://example.ada.support/api/v2/platform-integrations/platform_integration_id/installations/installation_id'; const options = { method: 'PATCH', headers: {Authorization: 'Bearer ', 'Content-Type': 'application/json'}, body: '{}' }; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "strings" "net/http" "io" ) func main() { url := "https://example.ada.support/api/v2/platform-integrations/platform_integration_id/installations/installation_id" payload := strings.NewReader("{}") req, _ := http.NewRequest("PATCH", url, payload) req.Header.Add("Authorization", "Bearer ") req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://example.ada.support/api/v2/platform-integrations/platform_integration_id/installations/installation_id") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Patch.new(url) request["Authorization"] = 'Bearer ' request["Content-Type"] = 'application/json' request.body = "{}" response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.patch("https://example.ada.support/api/v2/platform-integrations/platform_integration_id/installations/installation_id") .header("Authorization", "Bearer ") .header("Content-Type", "application/json") .body("{}") .asString(); ``` ```php request('PATCH', 'https://example.ada.support/api/v2/platform-integrations/platform_integration_id/installations/installation_id', [ 'body' => '{}', 'headers' => [ 'Authorization' => 'Bearer ', 'Content-Type' => 'application/json', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://example.ada.support/api/v2/platform-integrations/platform_integration_id/installations/installation_id"); var request = new RestRequest(Method.PATCH); request.AddHeader("Authorization", "Bearer "); request.AddHeader("Content-Type", "application/json"); request.AddParameter("application/json", "{}", ParameterType.RequestBody); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = [ "Authorization": "Bearer ", "Content-Type": "application/json" ] let parameters = [] as [String : Any] let postData = JSONSerialization.data(withJSONObject: parameters, options: []) let request = NSMutableURLRequest(url: NSURL(string: "https://example.ada.support/api/v2/platform-integrations/platform_integration_id/installations/installation_id")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "PATCH" request.allHTTPHeaderFields = headers request.httpBody = postData as Data let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```